DataInputControllerUpdateDataStorageRecords Method |
PUT /DataInput/DataStorageRecords/
Updates a data storage records.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("DataStorageRecords")]
public IActionResult UpdateDataStorageRecords(
[FromBodyAttribute] DataStorageUpdateRecordsOptions options,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("DataStorageRecords")>
Public Function UpdateDataStorageRecords (
<FromBodyAttribute> options As DataStorageUpdateRecordsOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"DataStorageRecords")]
IActionResult^ UpdateDataStorageRecords(
[FromBodyAttribute] DataStorageUpdateRecordsOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("DataStorageRecords")>]
member UpdateDataStorageRecords :
[<FromBodyAttribute>] options : DataStorageUpdateRecordsOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsDataStorageUpdateRecordsOptions
The data to be provided for updating of the storage records. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A status code indicating success or the reason for failure.
See Also